AnnouncePluginExtension (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.api.plugins.announce

## [Java] Class AnnouncePluginExtension

- org.gradle.api.plugins.announce.AnnouncePluginExtension

- The extension used by the AnnouncePlugin.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AnnouncePluginExtension (org.gradle.api.internal.project.ProjectInternal project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `announce(String msg, String type)` Sends an announcement of the given type.
    `org.gradle.api.plugins.announce.internal.AnnouncerFactory` | `getAnnouncerFactory()`
    `Announcer` | `getLocal()` Returns an Announcer that sends announcements to the local desktop, if a notification mechanism is available.
    `String` | `getPassword()` The password to use for announcements.
    `String` | `getUsername()` The username to use for announcements.
    `void` | `setAnnouncerFactory(org.gradle.api.plugins.announce.internal.AnnouncerFactory announcerFactory)`
    `void` | `setLocal(Announcer localAnnouncer)` Sets the Announcer that should be used to send announcements to the local desktop.
    `void` | `setPassword(String password)`
    `void` | `setUsername(String username)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public AnnouncePluginExtension(org.gradle.api.internal.project.ProjectInternal project)

  - ### Method Detail

    - #### public void announce(String msg, String type)

      Sends an announcement of the given type.

      Parameters:
        `msg` - The content of the announcement
        `type` - The announcement type.

    - #### public org.gradle.api.plugins.announce.internal.AnnouncerFactory getAnnouncerFactory()

    - #### public Announcer getLocal()

      Returns an Announcer that sends announcements to the local desktop, if a notification mechanism is available.

      Returns:
        The announcer.

    - #### public String getPassword()

      The password to use for announcements.

    - #### public String getUsername()

      The username to use for announcements.

    - #### public void setAnnouncerFactory(org.gradle.api.plugins.announce.internal.AnnouncerFactory announcerFactory)

    - #### public void setLocal(Announcer localAnnouncer)

      Sets the Announcer that should be used to send announcements to the local desktop.

    - #### public void setPassword(String password)

    - #### public void setUsername(String username)